<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: SDImageFlippingTransformer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#pub-static-methods">Class Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="interface_s_d_image_flipping_transformer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SDImageFlippingTransformer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for SDImageFlippingTransformer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_s_d_image_flipping_transformer.png" usemap="#SDImageFlippingTransformer_map" alt=""/>
  <map id="SDImageFlippingTransformer_map" name="SDImageFlippingTransformer_map">
<area href="protocol_s_d_image_transformer-p.html" alt="&lt;SDImageTransformer&gt;" shape="rect" coords="186,56,362,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:ac03b373d2f4dbf14d9ff587e940b0819"><td class="memItemLeft" align="right" valign="top"><a id="ac03b373d2f4dbf14d9ff587e940b0819"></a>
(nonnull instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <b>NS_UNAVAILABLE</b></td></tr>
<tr class="separator:ac03b373d2f4dbf14d9ff587e940b0819"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_protocol_s_d_image_transformer-p"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_protocol_s_d_image_transformer-p')"><img src="closed.png" alt="-"/>&#160;Instance Methods inherited from <a class="el" href="protocol_s_d_image_transformer-p.html">&lt;SDImageTransformer&gt;</a></td></tr>
<tr class="memitem:a33bc33c8aa1f38e8a8d01a872c801668 inherit pub_methods_protocol_s_d_image_transformer-p"><td class="memItemLeft" align="right" valign="top">(nullable UIImage *)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_s_d_image_transformer-p.html#a33bc33c8aa1f38e8a8d01a872c801668">transformedImageWithImage:forKey:</a></td></tr>
<tr class="separator:a33bc33c8aa1f38e8a8d01a872c801668 inherit pub_methods_protocol_s_d_image_transformer-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Class Methods</h2></td></tr>
<tr class="memitem:a15b4a240420f52ff76d8dbfe19c647fc"><td class="memItemLeft" align="right" valign="top"><a id="a15b4a240420f52ff76d8dbfe19c647fc"></a>
(nonnull instancetype)&#160;</td><td class="memItemRight" valign="bottom">+ <b>transformerWithHorizontal:vertical:</b></td></tr>
<tr class="separator:a15b4a240420f52ff76d8dbfe19c647fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a400235ba76fec012c7fc691a03a78710"><td class="memItemLeft" align="right" valign="top"><a id="a400235ba76fec012c7fc691a03a78710"></a>
BOOL&#160;</td><td class="memItemRight" valign="bottom"><b>horizontal</b></td></tr>
<tr class="separator:a400235ba76fec012c7fc691a03a78710"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5fa9d1d964a3c2015e99c744deffb79"><td class="memItemLeft" align="right" valign="top"><a id="ab5fa9d1d964a3c2015e99c744deffb79"></a>
BOOL&#160;</td><td class="memItemRight" valign="bottom"><b>vertical</b></td></tr>
<tr class="separator:ab5fa9d1d964a3c2015e99c744deffb79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_protocol_s_d_image_transformer-p"><td colspan="2" onclick="javascript:toggleInherit('properties_protocol_s_d_image_transformer-p')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="protocol_s_d_image_transformer-p.html">&lt;SDImageTransformer&gt;</a></td></tr>
<tr class="memitem:a977934d0717abe88925b9bafec1cb57f inherit properties_protocol_s_d_image_transformer-p"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="protocol_s_d_image_transformer-p.html#a977934d0717abe88925b9bafec1cb57f">transformerKey</a></td></tr>
<tr class="separator:a977934d0717abe88925b9bafec1cb57f inherit properties_protocol_s_d_image_transformer-p"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_s_d_image_transformer_8h_source.html">SDImageTransformer.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
